Omniplex Docs

Platform Specific

These API endpoints are related to platform specific endpoints such as fetching discord users etc

Get Platform User

GET
/platform/user/{id}

This endpoint will return a user object based on the user id for a given platform. This is useful for getting a user's avatar/username/discriminator etc.

Path Parameters

id*string

The user's ID

Query Parameters

platform*string

The platform to get the user from.

Response Body

Success

application/json
  1. response
avatar?string

The users resolved avatar URL for the platform (not just hash)

bot?boolean

Whether the user is a bot or not

display_name?string

The users global display name, if the user still has a discriminator, this will be username+hashtag+discriminator

extra_data?

Platform specific extra data

flags?array<>

The users flags. Note that dovewing has its own list of flags

id?string

The users ID

status?string

The users current status

username?string

The users username

Example Request
curl -X GET 'https://spider.omniplex.gg/platform/user/string?platform=string'
Example Response
{  "avatar": "string",  "bot": true,  "display_name": "string",  "extra_data": {    "property1": null,    "property2": null  },  "flags": [    "string"  ],  "id": "string",  "status": "string",  "username": "string"}
DELETE
/platform/user/{id}

Clears the cached profile for your own account on a given platform, so the next read refetches it. Requires a user session for the same ID

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

id*string

The user's ID

Query Parameters

platform*string

The platform to get the user from.

Response Body

Success

response?dovewing.ClearUserInfoapplication/json
Example Request
curl -X DELETE 'https://spider.omniplex.gg/platform/user/string?platform=string'
Example Response
null